Name:           inti
Version:        1.2
Release:        0.fdr.5.1
Epoch:          0
Summary:        Integrated Foundation Classes for GNOME and GTK+

Group:          System Environment/Libraries
License:        LGPL
URL:            http://inti.sourceforge.net
Source:         http://download.sourceforge.net/inti/inti-1.2.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gtk2-devel >= 0:2.2.1

%description
The Integrated Foundation Classes are a set of C++ classes for
developing GNOME and GTK+ applications on UNIX-like systems such as
Linux. They are designed to work nicely with the GNU toolchain and
take advantage of the standard C++ features provided by the GNU
compiler.

%package        devel
Summary:        Development tools for Inti applications
Group:          Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:	gtk2-devel >= 0:2.2.1, pkgconfig

%description    devel
Static libraries and header files needed for developing Inti
applications.

%package	docs
Summary:	Documentation for Inti
Group:		Documentation
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description	docs
Documentation for the Integrated Foundation Classes.

%package	demo
Summary:	Inti demo
Group:		Documentation
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description	demo
Demonstration program for Inti.

%prep
%setup -q

%build
touch ./inti-config.h.in
%configure --enable-static
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'
find docs examples -type f -exec chmod 0644 '{}' \;

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_libdir}/inti-1.0
%{_includedir}/inti-1.0

%files docs
%defattr(-,root,root,-)
%doc docs examples

%files demo
%defattr(-,root,root,-)
%{_datadir}/inti
%{_bindir}/*

%changelog
* Tue Nov 11 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.2-0.fdr.4
- Made demo package and include simple Makefile to build demo

* Fri Oct 31 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:1.2-0.fdr.1
- First Fedora release
